Merge commit staging+systemd into closure-size
Many non-conflict problems weren't (fully) resolved in this commit yet.
This commit is contained in:
@@ -10,7 +10,7 @@ stdenv.mkDerivation rec {
|
||||
|
||||
nativeBuildInputs = [coreutils];
|
||||
|
||||
patches = [ ./findutils-path.patch ./change_echo_path.patch ];
|
||||
patches = [ ./findutils-path.patch ./change_echo_path.patch ./disable-test-canonicalize.patch ];
|
||||
|
||||
outputs = [ "out" "info" ];
|
||||
|
||||
@@ -21,6 +21,10 @@ stdenv.mkDerivation rec {
|
||||
configureFlags = [ "gl_cv_func_wcwidth_works=yes" ];
|
||||
};
|
||||
|
||||
preConfigure = if stdenv.isCygwin then ''
|
||||
sed -i gnulib/lib/fpending.h -e '/include <stdio_ext.h>/d'
|
||||
'' else null;
|
||||
|
||||
meta = {
|
||||
homepage = http://www.gnu.org/software/findutils/;
|
||||
description = "GNU Find Utilities, the basic directory searching utilities of the GNU operating system";
|
||||
|
||||
@@ -0,0 +1,12 @@
|
||||
diff -ruN findutils-4.4.2/tests/test-canonicalize.sh findutils-4.4.2_edited/tests/test-canonicalize.sh
|
||||
--- findutils-4.4.2/tests/test-canonicalize.sh 2008-12-23 12:50:15.000000000 +0000
|
||||
+++ findutils-4.4.2_edited/tests/test-canonicalize.sh 2015-06-14 10:51:19.000000000 +0000
|
||||
@@ -1,5 +1,8 @@
|
||||
#!/bin/sh
|
||||
|
||||
+# skipped because user might not have directory listing permission for all parents of TMPDIR
|
||||
+exit 77
|
||||
+
|
||||
tmpfiles=""
|
||||
trap 'rm -fr $tmpfiles' 1 2 3 15
|
||||
|
||||
Reference in New Issue
Block a user